      subroutine makeuppercase(str,n)

c  this subroutine written by alain st-amant of the department of
c  pharmaceutical chemistry, university of california, san francisco.
c  all rights reserved.  this is part of the DeFT project.

      character str(*)

      character la,lz,ua

      data la,lz,ua/'a','z','A'/

      do 1001 i=1,n
 1001 if((ichar(str(i)).ge.ichar(la)).and.
     &   (ichar(str(i)).le.ichar(lz)))      str(i)=char(ichar(str(i))
     &                                                 +ichar(ua)
     &                                                 -ichar(la))

      return
      end
